## altree 1.3.1

=== Documentation/Makefile ===
include LaTeX.mk

## altree 1.0.1

=== debian/changelog ===
altree (1.0.1-5ubuntu3) precise; urgency=low

  * Rebuild with fixed Perl 5.14 on amd64.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Nov 2011 17:00:37 +0000

altree (1.0.1-5ubuntu2) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Nov 2011 13:24:40 +0000

altree (1.0.1-5ubuntu1) precise; urgency=low

  * Pre-Depends: dpkg (>= 1.15.6) for xz compression support.  Needed until
    after Ubuntu 12.04 LTS.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Oct 2011 21:15:48 +0100

altree (1.0.1-5) unstable; urgency=low

  * Upload source package without 3.0 (quilt) autopatch leftover.
    Closes: #643045. 
  * Corrected VCS URLs in debian/control.
  * Use Debhelper 8 (debian/control, debian/compat). 
  * Converted debian/copyright to machine-readable format 1.0 (DEP 5).
  * Compress binary packages with xz (debian/rules).
  * Conforms with Policy 3.9.2 (debian/control, no other changes needed).

 -- Charles Plessy <plessy@debian.org>  Tue, 27 Sep 2011 08:31:14 +0900

altree (1.0.1-4) unstable; urgency=low

  [ Charles Plessy ]
  * Depends on libtamuanova-perl (debian/control).
  * Added a BibTeX reference in debian/reference and install it through
    debian/altree.docs.
  * Refreshed debian/copyright.
  * Using debhelper 7 (debian/compat, debian/control).
  * Incremented Standards-Version to reflect conformance to Policy 3.8.1
    (no changes needed).
  * Bash completion:
    - Build-depend on bash-completion >= 1:1 in debian/control.
    - Install the altree completion file using dh_bash-completion.
  * Added information about Upstream in debian/upstream-metadata.yaml.

  [ David Paleino ]
  * debian/control:
    - removed unneeded Build-Dependencies
    - added ${misc:Depends} dependency to altree-examples
    - removed myself from Uploaders
  * debian/rules:
    - removing unneeded included Makefile

  [Andreas Tille]
  * use short debhelper instead of cdbs because the install target
    did not worked properly any more
  * debian/source/format: 3.0 (quilt)
  * debian/control:
    - Standards-Version: 3.9.1
    - Added myself to Uploaders
    - Added Build-Depends: ghostscript to avoid errors in LaTeX run
      Closes: #614538
    - Removed libtamuanova-perl from Depends again because it has no
      installation candidate

 -- Andreas Tille <tille@debian.org>  Tue, 22 Feb 2011 14:37:21 +0100

altree (1.0.1-3) unstable; urgency=low

  [ Charles Plessy ]
  * Initial release for Debian (Closes: #461506)
  * debian/copyright: converted to machine-readable format.
  * debian/control:
    - Added texlive-lang-french, texlive-latex-base, texlive-latex-recommended
      and texlive-latex-extra as build dependencies.
    - Updated my email address.

  [ David Paleino ]
  * Added debian/watch
  * debian/compat and debhelper dependency updated
  * debian/control:
    - added myself in Uploaders
    - Standards-Version is now 3.7.3

  [ Vincent Danjean ]
  * remove unused debian/control.in file
  * Fix copyright (and update email addresses)
  * Fix build-depends:
    + remove debian part of version (thanks lintian)
    + change latex-utils to latex-make (always present with this name in
      Debian)
  * Fix depends: add ${perl:Depends}
  * remove empty dir in package (/usr/sbin)
  => package lintian clean now

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 12 May 2008 08:19:31 +0200

altree (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 13 Jan 2006 15:46:52 +0100

altree (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 13 Jan 2006 09:40:02 +0100

altree (0.9.2-2) unstable; urgency=low

  * Update FSF address in copyright file

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sat, 10 Sep 2005 10:25:23 +0200

altree (0.9.2-1) unstable; urgency=low

  * New upstream release
  * New upstream name

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue,  2 Aug 2005 19:52:19 +0200

alphy (0.9.1d-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 26 Jul 2005 00:08:40 +0200

alphy (0.9.1c-1) unstable; urgency=low

  * Initial release

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon, 25 Jul 2005 22:22:50 +0200

=== debian/control ===
Source: altree
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>,
 Vincent Danjean <vdanjean@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: bash-completion, debhelper (>= 8), latex-make, ghostscript,
 texlive-lang-french, texlive-latex-extra, texlive-latex-recommended,
 texlive-fonts-recommended
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/altree/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/altree/trunk
Homepage: http://claire.bardel.free.fr/software.html

Package: altree
Architecture: any
Conflicts: libcutils-perl, alphy
Replaces: libcutils-perl, alphy
Provides: libcutils-perl, alphy
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: altree-examples
Description: program to perform phylogeny-based association and localization analysis
 ALTree was designed to perform association detection and localization of
 susceptibility sites using haplotype phylogenetic trees: first, it allows the
 detection of an association between a candidate gene and a disease, and second,
 it enables to make hypothesis about the susceptibility loci.

Package: altree-examples
Architecture: all
Recommends: altree (= ${binary:Version})
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${misc:Depends}
Description: example files for ALTree
 This package contains the example files for the ALTree package discussed in
 its PDF manual.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for altree
# Andreas Tille <tille@debian.org>
# GPL

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) -C Documentation distclean
	dh_auto_clean

override_dh_auto_build:
	$(MAKE) -C Documentation pdf
	dh_auto_build

override_dh_auto_install:
	$(MAKE) PREFIX=debian/altree/usr install

override_dh_compress:
	dh_compress --exclude=.pdf

override_dh_builddeb:
	dh_builddeb -- -Z xz

=== debian/watch ===
version=3
http://claire.bardel.free.fr/files/altree-([[:digit:]].*)\.tar\.gz

## altree 1.2.1

=== debian/changelog ===
altree (1.2.1-1) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream: Add eprint
  * debian/reference: Removed in favour of debian/upstream

  [ Vincent Danjean ]
  * New (stable) upstream release 1.2.1
  * debian/{README.Debian,watch}: No need to skip old last version 1.1.1
  * debian/patches/*: latex bug fixed upstream

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 09 Jun 2012 22:45:06 +0200

altree (1.0.1-7) unstable; urgency=low

  [ Thorsten Alteholz ]
  * debian/rules: target get-orig-source added

  [ Charles Plessy ]
  * Renamed debian/upstream-metadata.yaml to debian/upstream

  [ Andreas Tille ]
  * debian/upstream: Single Reference field instead of Reference-*
  * debian/watch: Do not download version 1.1.1 as the author has
    asked for in
      http://lists.debian.org/debian-med/2009/08/msg00104.html
  * debian/README.Debian: Document the "do not package new version"
    issue
  * debian/control: Standards-Version: 3.9.3 (no changes needed)
  * debian/changelog: Verified DEP5 using
      cme fix dpkg-copyright
  * debian/patches/build-with-recent-tetex.patch: Drop dvips option
    Closes: #669551
  * debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Apr 2012 08:40:48 +0200

=== debian/control ===
Source: altree
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>,
 Vincent Danjean <vdanjean@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: bash-completion, debhelper (>= 9), latex-make, ghostscript,
 texlive-lang-french, texlive-latex-extra, texlive-latex-recommended,
 texlive-fonts-recommended,
 libmath-tamuanova-perl, libpdl-stats-perl
Standards-Version: 3.9.3
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/altree/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/altree/trunk/
Homepage: http://claire.bardel.free.fr/software.html

Package: altree
Architecture: any
Conflicts: libcutils-perl, alphy
Replaces: libcutils-perl, alphy
Provides: libcutils-perl, alphy
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 libmath-tamuanova-perl, libpdl-stats-perl
Suggests: altree-examples
Description: program to perform phylogeny-based association and localization analysis
 ALTree was designed to perform association detection and localization of
 susceptibility sites using haplotype phylogenetic trees: first, it allows the
 detection of an association between a candidate gene and a disease, and second,
 it enables to make hypothesis about the susceptibility loci.

Package: altree-examples
Architecture: all
Recommends: altree (= ${binary:Version})
Depends: ${misc:Depends}
Description: example files for ALTree
 This package contains the example files for the ALTree package discussed in
 its PDF manual.

=== debian/watch ===
version=3

http://claire.bardel.free.fr/files/altree-([\d.]+)\.tar\.gz

## altree 1.3.1

=== debian/changelog ===
altree (1.3.1-1) unstable; urgency=low

  * New upstream release
    + fix a SEGV when ALTREE_PARALLEL is used with more processors
      than requested permutations (-r program parameter)
    + Fix "FTBFS with perl 5.12.0-1: long doubles" (Closes: #578550)
  * debian/control:
    Add B-D on libtest-deep-perl (required when fixing 578550)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 13 Dec 2013 23:27:04 +0100

altree (1.3.0-1) unstable; urgency=low

  * New upstream release
    + Mostly performance improvment
  * debian/control:
    + bump Standard-Version (no change needed)
    + put canonical vcs fields
    + remove outdated DM-Upload-Allowed field
    + improve altree-examples long description
    + add libgsl0-dev and libatlas-base-dev as new build-dependency
    + remove libpdl-stats-perl as (build-)dependency

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 22 Nov 2013 23:57:43 +0100

=== debian/control ===
Source: altree
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
 Vincent Danjean <vdanjean@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: bash-completion, debhelper (>= 9), latex-make, ghostscript,
 texlive-lang-french, texlive-latex-extra, texlive-latex-recommended,
 texlive-fonts-recommended,
 libmath-tamuanova-perl, libgsl0-dev, libatlas-base-dev,
 libtest-deep-perl
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/altree/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/altree/trunk/
Homepage: http://claire.bardel.free.fr/software.html

Package: altree
Architecture: any
Conflicts: libcutils-perl, alphy
Replaces: libcutils-perl, alphy
Provides: libcutils-perl, alphy
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 libmath-tamuanova-perl
Suggests: altree-examples
Description: program to perform phylogeny-based association and localization analysis
 ALTree was designed to perform association detection and localization of
 susceptibility sites using haplotype phylogenetic trees: first, it allows the
 detection of an association between a candidate gene and a disease, and second,
 it enables to make hypothesis about the susceptibility loci.

Package: altree-examples
Architecture: all
Recommends: altree (= ${binary:Version})
Depends: ${misc:Depends}
Description: example files for ALTree
 ALTree was designed to perform association detection and localization of
 susceptibility sites using haplotype phylogenetic trees: first, it allows the
 detection of an association between a candidate gene and a disease, and second,
 it enables to make hypothesis about the susceptibility loci.
 .
 This package contains the example files for the ALTree package discussed in
 its PDF manual.

=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,8 @@
 
 override_dh_builddeb:
 	dh_builddeb -- -Z xz
+
+get-orig-source:
+	mkdir -p ../tarballs
+	uscan --verbose --force-download --destdir=../tarballs
+

=== debian/watch ===
version=3

http://claire.bardel.free.fr/files/altree-v?([\d.]+)\.tar\.gz

## altree 1.3.2

=== debian/changelog ===
altree (1.3.2-4) unstable; urgency=medium

  * Team upload.

  [ Santiago Vila ]
  * d/rules: fix ftbfs on architecture: all builds.
    The change also prevents mv from prompting.
    Signed-off-by: Étienne Mollier <emollier@debian.org> (Closes: #1115489)

 -- Étienne Mollier <emollier@debian.org>  Wed, 17 Sep 2025 20:17:16 +0200

altree (1.3.2-3) unstable; urgency=medium

  * Team upload.
  * gcc-15.patch: new: fix ftbfs with GCC-15. (Closes: #1096300)
  * d/control: build depends on perl-xs-dev. (Closes: #1102872)
  * d/control: adjust build-dependencies for cross-compilation.
  * d/rules: isolate documentation specific rules.
  * typo.patch: new: fix "allows to" typo caught by lintian.
  * d/rules: convert various Perl scripts to UTF-8.
  * d/control: declare compliance to standards version 4.7.2.
  * d/watch: bump to v5 and git mode.
    The gitlab instance looks to be running on top of an older version
    which is not yet supported by uscan's gitlab template.  Therefore,
    let's move to plain git ls-remote itself.

 -- Étienne Mollier <emollier@debian.org>  Tue, 16 Sep 2025 22:55:54 +0200

altree (1.3.2-2) unstable; urgency=medium

  * Alternative to libblas-dev | libblas.so
  * Drop libatlas3-base from Recommends
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 11:13:27 +0100

altree (1.3.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Replace dummy package libopenblas-base by libopenblas0
    Closes: #994474
  * Fix watch file
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Apply multi-arch hints.
    + altree-examples: Add Multi-Arch: foreign.
  * Do not fail in clean target if latex-make is not installed on local
    machine

  [ Vincent Danjean ]
  * New upstream version
    - debian patches applied
    - XS files refreshed

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 17 Sep 2021 18:26:18 +0200

altree (1.3.1-10) unstable; urgency=medium

  * Use figlatex instead of texgraphicx
    Closes: #963418
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jun 2020 13:32:09 +0200

altree (1.3.1-9) unstable; urgency=medium

  [ Pranav Ballaney ]
  * Team upload.
  * Add autopkgtest
    Closes: #909710

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Repository.
  * Add debian/salsa-ci.yml
  * Document how users can test their local installation

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Thu, 20 Feb 2020 14:13:15 +0100

altree (1.3.1-8) unstable; urgency=medium

  [ Mo Zhou ]
  * Do not require atlas
    Closes: #943828
  * Recommends: libopenblas-base | libatlas3-base | libmkl-rt | libblas.so.3

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/changelog
  * Trim trailing whitespace.
  * Set fields Upstream-Name in debian/copyright.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Wed, 06 Nov 2019 13:59:03 +0100

altree (1.3.1-7) unstable; urgency=medium

  * Build-Depends: fig2dev
    Closes: #900836

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jun 2018 09:52:24 +0200

altree (1.3.1-6) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Remove unused _quicksort sub-pragma, no longer supported in Perl 5.27
    Closes: #898989

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Drop useless get-orig-source target

 -- Andreas Tille <tille@debian.org>  Fri, 18 May 2018 12:01:00 +0200

altree (1.3.1-5) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * New homepage
  * Point watch file to gitlab.inria.fr
  * debhelper 10
  * DEP5 fixes

 -- Andreas Tille <tille@debian.org>  Fri, 06 Oct 2017 13:52:33 +0200

altree (1.3.1-4) unstable; urgency=medium

  [ Andreas Tille ]
  * cme fix dpkg-control (dropped Replace/Provides/Conflicts of non-existing
    packages alphy, libcutils-perl)
  * xz compression is default and does not need to be enforced

  [ Vincent Danjean ]
  * Fix "Produces empty binary package" by adding debian/altree.install
    (Closes: #807493)

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 09 Dec 2015 22:37:46 +0100

altree (1.3.1-3) unstable; urgency=medium

  * [debian/control] Update build dependencies for GSL 2, change libgsl0-dev to
    libgsl-dev. Thanks Bas Couwenberg <sebastic@debian.org> (Closes: #807173)
  * Fix "FTBFS with perl 5.22 in experimental (MakeMaker changes)" by removing
    manual (wrong) call to "make install PREFIX=..." (Closes: #807423)
  * [debian/control] Bump Standards-Version (no changes needed)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 08 Dec 2015 20:47:26 +0100

altree (1.3.1-2) unstable; urgency=medium

  * Fix "FTBFS with clang instead of gcc"
    clang does not support nested functions so removing them.
    Instead of inlining the nested function as proposed in the submitted
    patch (thanks Arthur <arthur@info9.net>), use a external function
    with an explicit context (Closes: #742843)
  * bump standard-version (no change needed)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 30 Mar 2014 23:43:51 +0200

=== debian/control ===
Source: altree
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Vincent Danjean <vdanjean@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               perl:native,
               perl-xs-dev,
               latex-make <!nodoc>,
               ghostscript <!nodoc>,
               texlive-lang-french <!nodoc>,
               texlive-latex-extra <!nodoc>,
               texlive-latex-recommended <!nodoc>,
               texlive-fonts-recommended <!nodoc>,
               libmath-tamuanova-perl <!nocheck>,
               libgsl-dev,
               libblas-dev | libblas.so,
               libtest-deep-perl <!nocheck>,
               fig2dev <!nodoc>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/altree
Vcs-Git: https://salsa.debian.org/med-team/altree.git
Homepage: https://gitlab.inria.fr/NGS/ALTree
Rules-Requires-Root: no

Package: altree
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         libmath-tamuanova-perl
Recommends: libopenblas0 | libblis4 | libmkl-rt | libblas.so.3
Suggests: altree-examples
Description: program to perform phylogeny-based association and localization analysis
 ALTree was designed to perform association detection and localization of
 susceptibility sites using haplotype phylogenetic trees: first, it allows the
 detection of an association between a candidate gene and a disease, and second,
 it enables to make hypothesis about the susceptibility loci.

Package: altree-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: altree (= ${binary:Version})
Multi-Arch: foreign
Description: example files for ALTree
 ALTree was designed to perform association detection and localization of
 susceptibility sites using haplotype phylogenetic trees: first, it allows the
 detection of an association between a candidate gene and a disease, and second,
 it enables to make hypothesis about the susceptibility loci.
 .
 This package contains the example files for the ALTree package discussed in
 its PDF manual.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for altree
# Andreas Tille <tille@debian.org>
# GPL

%:
	dh $@

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_before_dh_auto_clean:
	$(MAKE) -C Documentation distclean || true

execute_before_dh_auto_build:
	$(MAKE) -C Documentation pdf

override_dh_compress:
	dh_compress --exclude=.pdf
endif # !nodoc

INSTALL_DIR != echo debian/altree/usr/lib/*/perl*/*/ALTree/
NATIONAL_ENCODING = Chi2.pm Import.pm Input.pm Node.pm SitePerForet.pm
NATIONAL_ENCODING+= SiteSensPerTree.pm Tree.pm to_rewrite.pm
execute_after_dh_install-arch:
	set -e \
	; cd $(INSTALL_DIR) \
	; for file in $(NATIONAL_ENCODING) \
	; do iconv -f ISO-8859-1 -t UTF-8 < "$${file}" > "$${file}.conv" \
	;    mv -vf "$${file}.conv" "$${file}" \
	; done

=== debian/watch ===
Version: 5

Source: https://gitlab.inria.fr/NGS/ALTree.git
Mode: git
Matching-Pattern: refs/tags/@ANY_VERSION@
